package org.jacorb.imrutility.imr;

/**
 *	Generated from IDL interface "Activator"
 *	@author JacORB IDL compiler V 2.1.3, 15-September-2004
 */


public abstract class ActivatorPOA
	extends org.omg.PortableServer.Servant
	implements org.omg.CORBA.portable.InvokeHandler, org.jacorb.imrutility.imr.ActivatorOperations
{
	static private final java.util.Hashtable m_opsHash = new java.util.Hashtable();
	static
	{
		m_opsHash.put ( "_get_heartbeat", new java.lang.Integer(0));
		m_opsHash.put ( "listPOACommands", new java.lang.Integer(1));
		m_opsHash.put ( "startServer", new java.lang.Integer(2));
		m_opsHash.put ( "addCommand", new java.lang.Integer(3));
		m_opsHash.put ( "listCommands", new java.lang.Integer(4));
		m_opsHash.put ( "shutdown", new java.lang.Integer(5));
		m_opsHash.put ( "_get_id", new java.lang.Integer(6));
		m_opsHash.put ( "ping", new java.lang.Integer(7));
		m_opsHash.put ( "removeCommand", new java.lang.Integer(8));
		m_opsHash.put ( "_set_id", new java.lang.Integer(9));
		m_opsHash.put ( "_set_heartbeat", new java.lang.Integer(10));
		m_opsHash.put ( "serverStarted", new java.lang.Integer(11));
	}
	private String[] ids = {"IDL:imr/Activator:1.0","IDL:imr/Server:1.0"};
	public org.jacorb.imrutility.imr.Activator _this()
	{
		return org.jacorb.imrutility.imr.ActivatorHelper.narrow(_this_object());
	}
	public org.jacorb.imrutility.imr.Activator _this(org.omg.CORBA.ORB orb)
	{
		return org.jacorb.imrutility.imr.ActivatorHelper.narrow(_this_object(orb));
	}
	public org.omg.CORBA.portable.OutputStream _invoke(String method, org.omg.CORBA.portable.InputStream _input, org.omg.CORBA.portable.ResponseHandler handler)
		throws org.omg.CORBA.SystemException
	{
		org.omg.CORBA.portable.OutputStream _out = null;
		// do something
		// quick lookup of operation
		java.lang.Integer opsIndex = (java.lang.Integer)m_opsHash.get ( method );
		if ( null == opsIndex )
			throw new org.omg.CORBA.BAD_OPERATION(method + " not found");
		switch ( opsIndex.intValue() )
		{
			case 0: // _get_heartbeat
			{
			_out = handler.createReply();
			_out.write_ulong(heartbeat());
				break;
			}
			case 1: // listPOACommands
			{
				org.jacorb.imrutility.imr.ServerName _arg0=org.jacorb.imrutility.imr.ServerNameHelper.read(_input);
				_out = handler.createReply();
				org.jacorb.imrutility.imr.CommandInfoSeqHelper.write(_out,listPOACommands(_arg0));
				break;
			}
			case 2: // startServer
			{
			try
			{
				org.jacorb.imrutility.imr.ServerName _arg0=org.jacorb.imrutility.imr.ServerNameHelper.read(_input);
				boolean _arg1=_input.read_boolean();
				_out = handler.createReply();
				startServer(_arg0,_arg1);
			}
			catch(org.jacorb.imrutility.imr.StartupFailed _ex0)
			{
				_out = handler.createExceptionReply();
				org.jacorb.imrutility.imr.StartupFailedHelper.write(_out, _ex0);
			}
			catch(org.jacorb.imrutility.imr.UnknownServer _ex1)
			{
				_out = handler.createExceptionReply();
				org.jacorb.imrutility.imr.UnknownServerHelper.write(_out, _ex1);
			}
				break;
			}
			case 3: // addCommand
			{
			try
			{
				org.jacorb.imrutility.imr.CommandInfo _arg0=org.jacorb.imrutility.imr.CommandInfoHelper.read(_input);
				_out = handler.createReply();
				addCommand(_arg0);
			}
			catch(org.jacorb.imrutility.imr.AlreadyRegistered _ex0)
			{
				_out = handler.createExceptionReply();
				org.jacorb.imrutility.imr.AlreadyRegisteredHelper.write(_out, _ex0);
			}
				break;
			}
			case 4: // listCommands
			{
				_out = handler.createReply();
				org.jacorb.imrutility.imr.CommandInfoSeqHelper.write(_out,listCommands());
				break;
			}
			case 5: // shutdown
			{
				boolean _arg0=_input.read_boolean();
				_out = handler.createReply();
				shutdown(_arg0);
				break;
			}
			case 6: // _get_id
			{
			_out = handler.createReply();
			_out.write_ulonglong(id());
				break;
			}
			case 7: // ping
			{
				long _arg0=_input.read_ulonglong();
				_out = handler.createReply();
				ping(_arg0);
				break;
			}
			case 8: // removeCommand
			{
			try
			{
				org.jacorb.imrutility.imr.ServerName _arg0=org.jacorb.imrutility.imr.ServerNameHelper.read(_input);
				_out = handler.createReply();
				removeCommand(_arg0);
			}
			catch(org.jacorb.imrutility.imr.NotFound _ex0)
			{
				_out = handler.createExceptionReply();
				org.jacorb.imrutility.imr.NotFoundHelper.write(_out, _ex0);
			}
				break;
			}
			case 9: // _set_id
			{
			_out = handler.createReply();
			id(_input.read_ulonglong());
				break;
			}
			case 10: // _set_heartbeat
			{
			_out = handler.createReply();
			heartbeat(_input.read_ulong());
				break;
			}
			case 11: // serverStarted
			{
			try
			{
				org.jacorb.imrutility.imr.ServerName _arg0=org.jacorb.imrutility.imr.ServerNameHelper.read(_input);
				_out = handler.createReply();
				serverStarted(_arg0);
			}
			catch(org.jacorb.imrutility.imr.UnknownServer _ex0)
			{
				_out = handler.createExceptionReply();
				org.jacorb.imrutility.imr.UnknownServerHelper.write(_out, _ex0);
			}
				break;
			}
		}
		return _out;
	}

	public String[] _all_interfaces(org.omg.PortableServer.POA poa, byte[] obj_id)
	{
		return ids;
	}
}
