/* JNDI service tables */

CREATE TABLE OF_JNDI
(
   SID INT8 NOT NULL,            /* server id uuid string */
   OID CHAR(36) NOT NULL,        /* object id uuid string */
   Name VARCHAR(211) NOT NULL,   /* name string */
   Class LVARCHAR NOT NULL,      /* classname */
   ChildUUID CHAR(36) NOT NULL   /* leaf or context child uuid */
   PRIMARY KEY (SID, OID, Name)
);

CREATE TABLE OF_JNDI_Objects
(
   ChildUUID CHAR(36) NOT NULL,  /* object id uuid string */
   Object BYTE NOT NULL,         /* serialized Object */
   PRIMARY KEY (ChildUUID)
);
