package org.jacorb.test.imrutility.imr;

import junit.framework.*;

public class PackageTest extends TestCase
{
   public PackageTest (String name)
   {
      super (name);
   }

   public static Test suite ()
   {
      TestSuite suite = new TestSuite ("Package ImR");

      /* DO NOT CHANGE TEST ORDER AS SOME TESTS RELY ON OUTPUT 
       * FROM PREVIOUS TEST
       */
      suite.addTest(BasicImRTest.suite ());
      suite.addTest(ServerRestartTest.suite());
      suite.addTest(ServerRestartWithDataFile.suite());
      suite.addTest(ImRFailoverTest.suite());
      suite.addTest(AutoActivationTest.suite());
      suite.addTest(AutoActivationOnLookupTest.suite());  
      suite.addTest(MultiplesNoAlivenessTest.suite());
      suite.addTest(MultiplesAlivenessTest.suite());      
      suite.addTest(UDPTest.suite());    

      return suite;
   }
}
