package org.jacorb.imrutility.imr;

import java.io.Serializable;

public class CommandData implements Serializable
{
    /** The command string*/
    String command;       

    /** Count of the number of servers started*/
    private int serverCount = 0;
    
    /**
     * Constructor
     * @param <code>in_command</code> the command string
     * @param <code>in_mode</code> the activation mode 
     */
    public CommandData(String in_command)
    {
        command = in_command;
    }  
    
    public int getServerCount()
    {
        return serverCount;
    }  
    
    public void add()
    {
        serverCount++;
    }
    
    public void remove()
    {
        serverCount--;
    }
}
