package org.jacorb.imrutility.imr.policy;


import java.util.HashMap;
import java.util.TreeMap;

/**
 * @author cj
 *
 * Interface to be used by all classes representing a Load Balancing poliy
 */
public interface LBPolicy 
{
    /**
     * Returns the unique id for the policy
     */
    public int policy();
   
    /**
     * Returns the server selected using the policy
     */
    public HashMap getSelectedServer(String iname, TreeMap servers);
}
